Skip to content
Start here

Change status of instance

workflows.instances.status.edit(strinstance_id, StatusEditParams**kwargs) -> StatusEditResponse
PATCH/accounts/{account_id}/workflows/{workflow_name}/instances/{instance_id}/status

Changes the execution status of a workflow instance (e.g., pause, resume, terminate).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts Write
ParametersExpand Collapse
account_id: str
workflow_name: str
maxLength64
minLength1
instance_id: str
maxLength100
minLength1
status: Literal["resume", "pause", "terminate", "restart"]

Apply action to instance.

One of the following:
"resume"
"pause"
"terminate"
"restart"
from_: Optional[From]

Step to restart from. Only applicable when status is “restart”.

name: str
maxLength256
minLength1
count: Optional[int]
exclusiveMinimum
minimum0
type: Optional[Literal["do", "sleep", "waitForEvent"]]
One of the following:
"do"
"sleep"
"waitForEvent"
ReturnsExpand Collapse
class StatusEditResponse:
status: Literal["queued", "running", "paused", 5 more]
One of the following:
"queued"
"running"
"paused"
"errored"
"terminated"
"complete"
"waitingForPause"
"waiting"
timestamp: datetime

Accepts ISO 8601 with no timezone offsets and in UTC.

formatdate-time

Change status of instance

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.workflows.instances.status.edit(
    instance_id="x",
    account_id="account_id",
    workflow_name="x",
    status="resume",
)
print(response.status)
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "status": "queued",
    "timestamp": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "status": "queued",
    "timestamp": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}